{% extends 'base.html.twig' %}

{% block title %}Cart{% endblock %}

{% block body %}
<div class="container">
    <div class="row">
        <div class="col-12">
            <h1 class="text-center my-3">Panier :</h1>
        </div>
        <div class="col-12 col-md-9">
            <div class="row">
                {% set total = 0 %}
                {% for article in user.cartArticles %}
                    <div class="col-3 my-1">
                        <img style="width: 100%; object-fit: cover; overflow: hidden;" src="{{asset(article.photo)}}"
                            alt="">
                    </div>
                    <div class="col-5 my-1">
                        <h3>
                            <a href="{{ path('article', {'article':article.article.id}) }}">{{article.name}}</a>
                        </h3>
                        <p>
                            {{article.description}}
                        </p>
                    </div>
                    <div class="col-2 my-1">
                        <p>
                            Quantité : {{article.quantity}}
                        </p>
                    </div>
                    <div class="col-2">
                        <p>
                            {{article.price * article.quantity}}€
                        </p>
                        <a href="{{path('remove_cart_article',{article:article.id})}}" type="button" class="btn btn-danger">Remove</a>
                    </div>
                    <hr class="col-xs-12">
                {% set total = total + article.price * article.quantity %}                
                {% endfor %}
                <div class="col-2 offset-md-8">
                    <p>
                        Total : 
                    </p>
                </div>
                <div class="col-2">
                    <p>
                        {{total}}€
                    </p>
                </div>
            </div>
        </div>
        <div class="col-6 col-md-3">
            <div class="card h-100">
                <div class="card-body">
                    <h3 class="card-title text-center" style="position:relative;top:50%; transform: translateY(-50%);">
                        <a class="btn btn-primary" href="{{ path('validate_cart') }}">Commander !</a>
                    </h3>
                </div>
            </div>
        </div>
    </div>
</div>

{% endblock %}